corda / net.corda.core.crypto / X509Utilities / createCertificateSigningRequest

# createCertificateSigningRequest

`fun createCertificateSigningRequest(myLegalName: String, nearestCity: String, email: String, keyPair: KeyPair): PKCS10CertificationRequest`

Create certificate signing request using provided information.

### Parameters

`myLegalName` - The legal name of your organization. This should not be abbreviated and should include suffixes such as Inc, Corp, or LLC.

`nearestCity` - The city where your organization is located.

`email` - An email address used to contact your organization.

`keyPair` - Standard curve ECDSA KeyPair generated for TLS.

Return
The generated Certificate signing request.